Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.jasper.runtime
Class JspFactoryImpl

    java.lang.Object
      |
      +--javax.servlet.jsp.JspFactory
            |
            +--org.apache.jasper.runtime.JspFactoryImpl

public class JspFactoryImpl
extends javax.servlet.jsp.JspFactory

Implementation of JspFactory from the spec. Helps create PageContext and other animals.

Author:
  Anil K. Vijendran

Nested Class Summary
`protected class` | `JspFactoryImpl.PrivilegedGetPageContext`
`protected class` | `JspFactoryImpl.PrivilegedReleasePageContext`

Constructor Summary
`JspFactoryImpl()`

Method Summary
`javax.servlet.jsp.JspEngineInfo` | `getEngineInfo()`
`javax.servlet.jsp.PageContext` | `getPageContext(javax.servlet.Servlet servlet, javax.servlet.ServletRequest request, javax.servlet.ServletResponse response, java.lang.String errorPageURL, boolean needsSession, int bufferSize, boolean autoflush)`
`protected javax.servlet.jsp.PageContext` | `internalGetPageContext(javax.servlet.Servlet servlet, javax.servlet.ServletRequest request, javax.servlet.ServletResponse response, java.lang.String errorPageURL, boolean needsSession, int bufferSize, boolean autoflush)`
`void` | `releasePageContext(javax.servlet.jsp.PageContext pc)`

Methods inherited from class javax.servlet.jsp.JspFactory
`getDefaultFactory, setDefaultFactory`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JspFactoryImpl

    public JspFactoryImpl()

Method Detail

### getPageContext

    public javax.servlet.jsp.PageContext getPageContext(javax.servlet.Servlet servlet,
                                                        javax.servlet.ServletRequest request,
                                                        javax.servlet.ServletResponse response,
                                                        java.lang.String errorPageURL,
                                                        boolean needsSession,
                                                        int bufferSize,
                                                        boolean autoflush)

  Specified by:
    `getPageContext` in class `javax.servlet.jsp.JspFactory`

### internalGetPageContext

    protected javax.servlet.jsp.PageContext internalGetPageContext(javax.servlet.Servlet servlet,
                                                                   javax.servlet.ServletRequest request,
                                                                   javax.servlet.ServletResponse response,
                                                                   java.lang.String errorPageURL,
                                                                   boolean needsSession,
                                                                   int bufferSize,
                                                                   boolean autoflush)

### releasePageContext

    public void releasePageContext(javax.servlet.jsp.PageContext pc)

  Specified by:
    `releasePageContext` in class `javax.servlet.jsp.JspFactory`

### getEngineInfo

    public javax.servlet.jsp.JspEngineInfo getEngineInfo()

  Specified by:
    `getEngineInfo` in class `javax.servlet.jsp.JspFactory`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 Apache Software Foundation. All Rights Reserved.